System.ServiceModel 4.0.0.0 System.Enum

This enumeration is used by to specify the type of client credential to be used for authentication.

Note that if is set to , then the value of is ignored.

Enumerates the valid credential types for TCP clients.

- Field
  4.0.0.0
  System.ServiceModel.TcpClientCredentialType

  Specifies client authentication using a certificate.

- Field
  4.0.0.0
  System.ServiceModel.TcpClientCredentialType

  Specifies anonymous authentication.

- Field
  4.0.0.0
  System.ServiceModel.TcpClientCredentialType

  Specifies client authentication using Windows.